"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var AppComponent = (function () {
    function AppComponent() {
        this.items = [];
    }
    AppComponent.prototype.ngOnInit = function () {
        var styleSheets = document.styleSheets;
        for (var i in styleSheets) {
            var cssRules = styleSheets[i]['cssRules'];
            for (var key in cssRules) {
                var isObj = typeof cssRules[key] == 'object';
                if (isObj) {
                    if (cssRules[key]['selectorText']) {
                        var text = cssRules[key]['selectorText'];
                        var pre = text.substr(0, 5);
                        if (pre == '.ion-') {
                            text = text.replace(/\.ion-/, '');
                            text = text.replace(/\:\:before/, '');
                            this.items.push(text);
                        }
                    }
                }
            }
        }
    };
    return AppComponent;
}());
AppComponent = __decorate([
    core_1.Component({
        selector: 'app-root',
        templateUrl: './app.component.html',
        styleUrls: ['./app.component.scss']
    }),
    __metadata("design:paramtypes", [])
], AppComponent);
exports.AppComponent = AppComponent;
//# sourceMappingURL=app.component.js.map