import {Component, Input, OnInit,EventEmitter,Output} from '@angular/core';

@Component({
  selector: 'info-sign',
  templateUrl: './info-sign.component.html',
  styleUrls: ['./info-sign.component.scss']
})
export class InfoSignComponent implements OnInit {
  @Input() label: string = '';
  @Input() credit: number = 0;

  @Output() onTap: EventEmitter<any> = new EventEmitter();

  constructor() {
    this.label = '成长值';
    this.credit = 0;
  }

  ngOnInit() {
  }

  _onClick(){
    this.onTap.emit('tap')
  }

}
