import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'player-box-float',
  templateUrl: './player-box-float.component.html',
  styleUrls: ['./player-box-float.component.scss']
})
export class PlayerBoxFloatComponent implements OnInit {
  @Output() onItem: EventEmitter<any> = new EventEmitter()
  @Input() avatar: string = '&quot;https://timg01.bdimg.com/timg?img&amp;sec=1487606400&amp;di=9193956066fc85257536346acd7654ce&amp;wh_rate=0&amp;quality=100&amp;size=b240_240&amp;src=http://pic.qingting.fm/2015/1119/20151119154415284.jpg!small&quot;';
  constructor() { }

  ngOnInit() {
  }

  onClick(e){
    this.onItem.emit('click')
  }
}
