import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import {WechatArticleComponent} from "./wechat-article.component";
import {RewardAreaComponent} from "./reward-area/reward-area.component";
import {RewardQrcodeAreaComponent} from "./reward-qrcode-area/reward-qrcode-area.component";
import {RichMediaContentComponent} from "./rich-media-content/rich-media-content.component";
import {RichMediaMetaListComponent} from "./rich-media-meta-list/rich-media-meta-list.component";
import {RichMediaToolComponent} from "./rich-media-tool/rich-media-tool.component";

@NgModule({
  imports: [
    CommonModule
  ],
  declarations: [
    WechatArticleComponent,
    RewardAreaComponent,
    RewardQrcodeAreaComponent,
    RichMediaContentComponent,
    RichMediaMetaListComponent,
    RichMediaToolComponent
    ],
  exports: [WechatArticleComponent]
})
export class WechatArticleModule { }
