import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { AlertBoxComponent } from './alert-box/alert-box.component';
import { SuccDialogComponent } from './succ-dialog/succ-dialog.component';
import { FailDialogComponent } from './fail-dialog/fail-dialog.component';
import { CouponsComponent } from './coupons/coupons.component';
import { CustomComponent } from './custom/custom.component';
import { CouponPageComponent } from './coupon-page/coupon-page.component';

@NgModule({
  imports: [
    CommonModule
  ],
  declarations: [AlertBoxComponent, SuccDialogComponent, FailDialogComponent, CouponsComponent, CustomComponent, CouponPageComponent],
  exports: [AlertBoxComponent, SuccDialogComponent, FailDialogComponent, CouponsComponent, CustomComponent,CouponPageComponent]
})
export class CouponsModule { }
