import {Component, EventEmitter, OnInit, Output} from '@angular/core';

@Component({
  selector: 'custom',
  templateUrl: './custom.component.html',
  styleUrls: ['./custom.component.scss']
})
export class CustomComponent implements OnInit {
  active: boolean = true;

  @Output() onColor: EventEmitter<any> = new EventEmitter()
  constructor() { }

  ngOnInit() {

  }

  onItem1(){
    this.active = true;
    this.onColor.emit('#00c75c')
  }

  onItem2(){
    this.active = false;
    this.onColor.emit('#7394ff')
  }

}
