import {Component, Input, OnInit, ViewEncapsulation} from '@angular/core';

@Component({
  selector: 'ion',
  templateUrl: './ion-icons.component.html',
  styleUrls: ['./ion-icons.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class IonIconsComponent implements OnInit {
  @Input()
  set name(val: string){
    this.className = `ion-${val}`;
  }

  className: string;

  constructor() {

  }

  ngOnInit() {

  }

}
