import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { QqMoodComponent } from './qq-mood.component';
import {QqzoneEmojiModule} from "../qqzone-emoji/qqzone-emoji.module";
import {QqzoneCommentModule} from "../qqzone-comment/qqzone-comment.module";
import {QqzoneModule} from "../qqzone/qqzone.module";

@NgModule({
  imports: [
    CommonModule,
    QqzoneModule,
    QqzoneCommentModule,
    QqzoneEmojiModule
  ],
  declarations: [QqMoodComponent],
  exports: [QqMoodComponent]
})
export class QqMoodModule { }
