import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { QqzoneCommentComponent } from './qqzone-comment/qqzone-comment.component';
import { QqzoneCommentService } from './qqzone-comment.service';
import {QqzoneEmojiModule} from "../qqzone-emoji/qqzone-emoji.module";
import {FormsModule} from "@angular/forms";

@NgModule({
  imports: [
    CommonModule,
    QqzoneEmojiModule,
    FormsModule
  ],
  declarations: [QqzoneCommentComponent],
  exports: [QqzoneCommentComponent],
  providers: [QqzoneCommentService]
})
export class QqzoneCommentModule { }
