"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var Swiper = require('swiper');
var QqzoneCommentComponent = (function () {
    function QqzoneCommentComponent(ele, renderer) {
        this.ele = ele;
        this.renderer = renderer;
        this.showEmoji = false;
        this._show = false;
        this.onCancel = new core_1.EventEmitter();
        this.onPublish = new core_1.EventEmitter();
        this.renderer.setStyle(this.ele.nativeElement, 'position', 'fixed');
        this.renderer.setStyle(this.ele.nativeElement, 'top', '0');
        this.renderer.setStyle(this.ele.nativeElement, 'left', '0');
        this.renderer.setStyle(this.ele.nativeElement, 'right', '0');
        this.renderer.setStyle(this.ele.nativeElement, 'z-index', '999');
        this.content = '';
    }
    Object.defineProperty(QqzoneCommentComponent.prototype, "show", {
        get: function () {
            return this._show;
        },
        set: function (val) {
            this._show = val;
            if (val) {
                this.content = '';
            }
        },
        enumerable: true,
        configurable: true
    });
    QqzoneCommentComponent.prototype.ngOnInit = function () {
        this.emojis = [
            { className: 'emoji-1', items: [
                    { id: '100', name: '微笑' },
                    { id: '101', name: '笑' },
                    { id: '102', name: '发呆' },
                    { id: '103', name: '得意' },
                    { id: '104', name: '流泪' },
                    { id: '105', name: '害羞' },
                    { id: '106', name: '闭嘴' },
                    { id: '107', name: '睡' },
                    { id: '108', name: '大哭' },
                    { id: '109', name: '尴尬' },
                    { id: '110', name: '发怒' },
                    { id: '111', name: '调皮' },
                    { id: '112', name: '呲牙' },
                    { id: '113', name: '惊讶' },
                    { id: '114', name: '难过' },
                    { id: '115', name: '酷' },
                    { id: '116', name: '冷汗' },
                    { id: '117', name: '抓狂' },
                    { id: '117', name: '吐' }
                ]
            },
            { className: 'emoji-2', items: ['偷笑', '可爱', '白眼', '傲慢', '饥饿', '困', '惊恐', '流汗', '憨笑', '大兵', '奋斗', '咒骂', '疑问', '嘘', '晕', '折磨', '衰', '骷髅', '敲打', '再见'] },
            { className: 'emoji-3', items: ['擦汗', '抠鼻', '鼓掌', '糗大了', '坏笑', '左哼哼', '右哼哼', '哈欠', '鄙视', '委屈', '快哭了', '阴险', '亲亲', '吓', '可怜', '菜刀', '西瓜', '啤酒', '篮球', '乒乓'] },
            { className: 'emoji-4', items: ['咖啡', '饭', '猪头', '玫瑰', '凋谢', '示爱', '爱心', '心碎', '蛋糕', '闪电', '炸弹', '刀', '足球', '瓢虫', '便便', '月亮', '太阳', '礼物', '拥抱', '强'] },
            { className: 'emoji-5', items: ['弱', '握手', '胜利', '抱拳', '勾引', '拳头', '差劲', '爱你', 'NO', 'OK', '爱情', '飞吻', '跳跳', '发抖', '怄火', '转圈', '磕头', '回头', '跳绳', '挥手'] }
        ];
    };
    QqzoneCommentComponent.prototype.openEmoji = function () {
        var _this = this;
        this.showEmoji = !this.showEmoji;
        setTimeout(function () {
            _this.swiper = new Swiper('.select-area', {
                loop: false,
                pagination: '.page-area'
            });
        }, 300);
    };
    QqzoneCommentComponent.prototype.onEmojiSelect = function (e) {
        this.content += '[/' + e.name + ']';
    };
    QqzoneCommentComponent.prototype.cancel = function () {
        this.onCancel.emit();
    };
    QqzoneCommentComponent.prototype.publish = function () {
        this.onPublish.emit(this.content);
    };
    return QqzoneCommentComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", Object),
    __metadata("design:paramtypes", [Boolean])
], QqzoneCommentComponent.prototype, "show", null);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], QqzoneCommentComponent.prototype, "onCancel", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], QqzoneCommentComponent.prototype, "onPublish", void 0);
QqzoneCommentComponent = __decorate([
    core_1.Component({
        selector: 'qqzone-comment',
        templateUrl: './qqzone-comment.component.html',
        styleUrls: ['./qqzone-comment.component.css']
    }),
    __metadata("design:paramtypes", [core_1.ElementRef,
        core_1.Renderer2])
], QqzoneCommentComponent);
exports.QqzoneCommentComponent = QqzoneCommentComponent;
//# sourceMappingURL=qqzone-comment.component.js.map