import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'qqzone-emoji',
  templateUrl: './qqzone-emoji.component.html',
  styleUrls: ['./qqzone-emoji.component.css']
})
export class QqzoneEmojiComponent implements OnInit {

  @Input() imgUrl: string;
  @Input() items: string[];

  @Input() isLast: boolean;
  _swiper: any;

  @Input()
  get swiper(){
    return this._swiper;
  }
  set swiper(val: any){
    this._swiper = val;
    if(this.isLast && val){
      this._swiper.update && this._swiper.update(true);
    }
  }

  @Output() onSelect:EventEmitter<string> = new EventEmitter();

  ngOnInit(){

  }

  onClick(item: string){
    this.onSelect.emit(item)
  }

}
