import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { QqzoneEmojisComponent } from './qqzone-emojis/qqzone-emojis.component';
import { QqzoneEmojisService } from './qqzone-emojis.service';
import {QqzoneEmojiModule} from "../qqzone-emoji/qqzone-emoji.module";
import {FormsModule} from "@angular/forms";

@NgModule({
  imports: [
    CommonModule,
    QqzoneEmojiModule,
    FormsModule
  ],
  declarations: [QqzoneEmojisComponent],
  exports: [QqzoneEmojisComponent],
  providers: [QqzoneEmojisService]
})
export class QqzoneEmojisModule { }
