import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { QqzoneComponent } from './qqzone/qqzone.component';
import { QqzoneService } from './qqzone.service';
import {QqzoneCommentModule} from "../qqzone-comment/qqzone-comment.module";

@NgModule({
  imports: [
    CommonModule,
    QqzoneCommentModule
  ],
  declarations: [QqzoneComponent],
  exports: [QqzoneComponent],
  providers: [QqzoneService]
})
export class QqzoneModule { }
