"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var QqzoneComponent = (function () {
    function QqzoneComponent() {
        this.onClick = new core_1.EventEmitter();
        this.like = new core_1.EventEmitter();
        this.comment = new core_1.EventEmitter();
        this.share = new core_1.EventEmitter();
    }
    QqzoneComponent.prototype.ngOnInit = function () {
    };
    QqzoneComponent.prototype._like = function (info) {
        info.liked = !info.liked;
        this.info.goods.splice(0, 0, { nickname: '昵称2' });
        this.like.emit(info);
    };
    QqzoneComponent.prototype._comment = function (info) {
        this.comment.emit(info);
    };
    QqzoneComponent.prototype._share = function (info) {
        this.share.emit(info);
    };
    return QqzoneComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", Object)
], QqzoneComponent.prototype, "info", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Boolean)
], QqzoneComponent.prototype, "showCommentAvatar", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], QqzoneComponent.prototype, "onClick", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], QqzoneComponent.prototype, "like", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], QqzoneComponent.prototype, "comment", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], QqzoneComponent.prototype, "share", void 0);
QqzoneComponent = __decorate([
    core_1.Component({
        selector: 'qqzone',
        templateUrl: './qqzone.component.html',
        styleUrls: ['./qqzone.component.css']
    }),
    __metadata("design:paramtypes", [])
], QqzoneComponent);
exports.QqzoneComponent = QqzoneComponent;
//# sourceMappingURL=qqzone.component.js.map