import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'article-content',
  templateUrl: './article-content.component.html',
  styleUrls: ['./article-content.component.scss']
})
export class ArticleContentComponent implements OnInit {
  @Input() title: string = '';
  @Input() content: any;
  @Input() link: string = '';

  @Input() date: string = '';
  @Input() time: string = '';
  @Input() from: string = '';

  @Input() tags: any = []

  constructor() { }

  ngOnInit() {
  }

}
