import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import {FeedTabModule} from './feed-tab/feed-tab.module';
import {AnchorItemModule} from "./anchor-item/anchor-item.module";
import {ArticleContentModule} from "./article-content/article-content.module";
import {BannerModule} from "./banner/banner.module";
import {CloseAdvModule} from "./close-adv/close-adv.module";
import {FreeAdvModule} from "./free-adv/free-adv.module";
import {PlayerBoxFloatModule} from "./player-box-float/player-box-float.module";
import {PlayerFooterModule} from "./player-footer/player-footer.module";
import {QqHeaderModule} from "./qq-header/qq-header.module";
import {QqModHdModule} from "./qq-mod-hd/qq-mod-hd.module";
import {QqModSlideModule} from "./qq-mod-slide/qq-mod-slide.module";
import {QqPlayerModule} from "./qq-player/qq-player.module";
import {ThumbnailModule} from "./thumbnail/thumbnail.module";
import {WechatArticleModule} from "./wechat-article/wechat-article.module";
import {WechatMiniproDialogModule} from "./wechat-minipro-dialog/wechat-minipro-dialog.module";


@NgModule({
  imports: [
    CommonModule,
    FeedTabModule,
    AnchorItemModule,
    ArticleContentModule,
    BannerModule,
    CloseAdvModule,
    FreeAdvModule,
    PlayerBoxFloatModule,
    PlayerFooterModule,
    QqHeaderModule,
    QqModHdModule,
    QqModSlideModule,
    QqPlayerModule,
    ThumbnailModule,
    WechatArticleModule,
    WechatMiniproDialogModule
  ],
  declarations: [],
  exports: []
})
export class ComponentsModule { }

