import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'info-up',
  templateUrl: './info-up.component.html',
  styleUrls: ['./info-up.component.scss']
})
export class InfoUpComponent implements OnInit {
  @Input() label: string = '';
  @Input() desc: string = '';
  @Output() onBtn: EventEmitter<any> = new EventEmitter()
  constructor() {
    this.label = '加速';
    this.desc = '0点/天';
  }

  ngOnInit() {

  }


  _onClick(){
    this.onBtn.emit()
  }
}
