import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'thumb-nail',
  templateUrl: './thumbnail.component.html',
  styleUrls: ['./thumbnail.component.scss']
})
export class ThumbnailComponent implements OnInit {
  @Input() image: string = '111';
  @Input() title: string = '';
  @Input() author: string = '';
  @Input() time: string = '';

  @Output() onItem: EventEmitter<any> = new EventEmitter()
  constructor() { }

  ngOnInit() {
  }

  _onClick(){
    this.onItem.emit('click')
  }

}
