"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var FontAwesomeSelectComponent = (function () {
    function FontAwesomeSelectComponent() {
        this.items = [];
    }
    FontAwesomeSelectComponent.prototype.ngOnInit = function () {
        var _this = this;
        var styleSheets = document.styleSheets;
        for (var i in styleSheets) {
            var cssRules = styleSheets[i]['cssRules'];
            for (var key in cssRules) {
                var isObj = typeof cssRules[key] == 'object';
                if (isObj) {
                    if (cssRules[key]['selectorText']) {
                        var text = cssRules[key]['selectorText'];
                        // 检查,
                        var has = text.indexOf(',');
                        if (has >= 0) {
                            var ss = text.split(',');
                            ss.map(function (res) {
                                var pre = res.substr(0, 4);
                                var last = res.substr(res.length - 8, res.length);
                                if (pre == '.fa-' && last == '::before') {
                                    console.log(res);
                                    res = res.replace(/\.fa-/, '');
                                    res = res.replace(/\:\:before/, '');
                                    _this.items.push(res);
                                }
                            });
                        }
                        else {
                            var pre = text.substr(0, 4);
                            var last = text.substr(text.length - 8, text.length);
                            if (pre == '.fa-' && last == '::before') {
                                console.log(text);
                                text = text.replace(/\.fa-/, '');
                                text = text.replace(/\:\:before/, '');
                                this.items.push(text);
                            }
                        }
                    }
                }
            }
        }
    };
    return FontAwesomeSelectComponent;
}());
FontAwesomeSelectComponent = __decorate([
    core_1.Component({
        selector: 'font-awesome-select',
        templateUrl: './font-awesome-select.component.html',
        styleUrls: ['./font-awesome-select.component.scss']
    }),
    __metadata("design:paramtypes", [])
], FontAwesomeSelectComponent);
exports.FontAwesomeSelectComponent = FontAwesomeSelectComponent;
//# sourceMappingURL=font-awesome-select.component.js.map