import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'font-awesome-select',
  templateUrl: './font-awesome-select.component.html',
  styleUrls: ['./font-awesome-select.component.scss']
})
export class FontAwesomeSelectComponent implements OnInit {

  items: any[];
  ngOnInit(): void {
    let styleSheets = document.styleSheets;
    for(let i in styleSheets){
      let cssRules = styleSheets[i]['cssRules']
      for(let key in cssRules){
        let isObj = typeof  cssRules[key] == 'object'
        if(isObj){
          if(cssRules[key]['selectorText']){
            let text = cssRules[key]['selectorText'];
            // 检查,
            let has = text.indexOf(',')
            if(has >= 0){
              let ss = text.split(',');
              ss.map(res=>{
                let pre = res.substr(0,4);
                let last = res.substr(res.length-8,res.length)
                if(pre == '.fa-' && last == '::before'){
                  console.log(res);
                  res = res.replace(/\.fa-/,'');
                  res = res.replace(/\:\:before/,'');
                  this.items.push(res)
                }
              })
            }else{
              let pre = text.substr(0,4);
              let last = text.substr(text.length-8,text.length)
              if(pre == '.fa-' && last == '::before'){
                console.log(text);
                text = text.replace(/\.fa-/,'');
                text = text.replace(/\:\:before/,'');
                this.items.push(text)
              }
            }

          }
        }
      }
    }
  }


  constructor(){
    this.items = [];
  }

}
