import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { PagesRoutingModule } from './pages-routing.module';
import { IndexComponent } from './index/index.component';
import {VipInfoModule} from "./vip-info/vip-info.module";
import {ComponentsModule} from "../components/components.module";
import {VipBuyModule} from "./vip-buy/vip-buy.module";
import {VipRankModule} from "./vip-rank/vip-rank.module";
import {PlayerModule} from "./player/player.module";
import {CouponsModule} from "../coupons/coupons.module";
import {SuyunPageModule} from "./suyun/suyun.module";

@NgModule({
  imports: [
    CommonModule,
    PagesRoutingModule,
    VipInfoModule,
      VipBuyModule,
    VipRankModule,
    ComponentsModule,
    PlayerModule,
    CouponsModule,
    SuyunPageModule
  ],
  declarations: [IndexComponent]
})
export class PagesModule { }
