"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var QqMoodComponent = (function () {
    function QqMoodComponent() {
        this.showComment = false;
        this.emojiImage = 'https://qzonestyle.gtimg.cn/touch/proj-qzone/img/emoji/1@2x.png?max_age=19830211';
        this.emojiItems = ['微笑', '撇嘴', '笑', '发呆', '得意', '流泪', '害羞', '闭嘴', '睡', '大哭', '尴尬', '发怒', '调皮', '呲牙', '惊讶', '难过', '酷', '冷汗', '抓狂', '吐'];
    }
    QqMoodComponent.prototype.selectEmoji = function (emoji) {
        console.log(emoji);
    };
    QqMoodComponent.prototype.onComment = function (info, e) {
        console.log(e);
        this.onCommentItem = info;
        this.showComment = true;
    };
    QqMoodComponent.prototype.onPublish = function (e) {
        console.log(e);
        var item = { avatar: '', nickname: '昵称2', create_time: '05-06', content: e };
        this.onCommentItem.comments.push(item);
        this.showComment = false;
    };
    QqMoodComponent.prototype.onCancel = function () {
        this.showComment = false;
    };
    QqMoodComponent.prototype.ngOnInit = function () {
        this.info = {
            avatar: '',
            nickname: '昵称',
            isvip: false,
            create_time: '06-06',
            thumbs: ['', ''],
            look_num: 2,
            liked: false,
            goods: [{ nickname: '测试' }, { nickname: '测试' }],
            comments: [{ avatar: '', nickname: '昵称', create_time: '05-2', content: '评论内容' }]
        };
    };
    return QqMoodComponent;
}());
QqMoodComponent = __decorate([
    core_1.Component({
        selector: 'qq-mood',
        templateUrl: './qq-mood.component.html',
        styleUrls: ['./qq-mood.component.css']
    }),
    __metadata("design:paramtypes", [])
], QqMoodComponent);
exports.QqMoodComponent = QqMoodComponent;
//# sourceMappingURL=qq-mood.component.js.map