import {Component, Input, OnInit} from '@angular/core';

@Component({
  selector: 'qq-reward',
  templateUrl: './qq-reward.component.html',
  styleUrls: ['./qq-reward.component.scss']
})
export class QqRewardComponent implements OnInit {
  isShow: boolean = false;
  @Input() avatar: string;
  @Input() nickname: string;
  @Input() title: string;
  @Input() desc: string;

  @Input() items: any[];
  constructor() {
    this.avatar = 'http://demo.wikin.cn/uc_server/avatar.php?uid=332&size=small';
    this.nickname = '神马都是浮云';
    this.title = '今日说法送小撒祝福狂打水印：明天有录像';
    this.desc = '鼓励一下，期待作者有更好的内容';

    this.items = [
      {
        price: '0.01'
      },
      {
        price: '2'
      },
      {
        price: '8'
      },
      {
        price: '18'
      },
      {
        price: '28'
      },
      {
        price: '58'
      }
    ]
  }

  ngOnInit() {
  }

}
