import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'bottom-menu',
  templateUrl: './bottom-menu.component.html',
  styleUrls: ['./bottom-menu.component.scss']
})
export class BottomMenuComponent implements OnInit {
  @Input() items: any[] = [];
  @Output() onItem: EventEmitter<any> = new EventEmitter()
  constructor() { 
    this.items = [
      {
        title: '下单',
        class: 'submit_order',
        active: true
      },
      {
        title: '收费标准',
        class: 'price',
        active: false
      },
      {
        title: '我的',
        class: 'my_center',
        active: false
      }
    ]
  }

  ngOnInit() {

  }

  _onClick(e:any){
    this.items.map(res=>{
      res.active = false
    })
    e.active = true;
    this.onItem.emit(e)
  }

}
