"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ListsComponent = (function () {
    function ListsComponent() {
        this.items = [];
        this.onItem = new core_1.EventEmitter();
        this.items = [
            {
                title: '小型面包',
                icon: 'http://suyun.guest.daojia.com/img/xiaomian.png',
                start: '35',
                minLen: '5',
                zaizhong: '1吨',
                carsize: '1.7*1.1*1m',
                price: '3'
            },
            {
                title: '金杯',
                icon: 'http://suyun.guest.daojia.com/img/jinbei.png',
                start: '58',
                minLen: '5',
                zaizhong: '1.5吨',
                carsize: '2.7*1.4*1.2m',
                price: '4'
            },
            {
                title: '依维柯',
                icon: 'http://suyun.guest.daojia.com/img/yiweike.png',
                start: '68',
                minLen: '5',
                zaizhong: '2吨',
                carsize: '3*1.7*1.5m',
                price: '4'
            },
            {
                title: '厢货',
                icon: 'http://suyun.guest.daojia.com/img/daxianghuo_noenter.png',
                start: '108',
                minLen: '5',
                zaizhong: '3吨',
                carsize: '4.2*2*1.8m',
                price: '5'
            },
            {
                title: '中巴-可入城',
                icon: 'http://suyun.guest.daojia.com/img/daxianghuo_enter.png',
                start: '108',
                minLen: '5',
                zaizhong: '3吨',
                carsize: '4.2*1.9*2.0m',
                price: '5'
            }
        ];
    }
    ListsComponent.prototype.ngOnInit = function () {
    };
    ListsComponent.prototype._onClick = function (e) {
        this.onItem.emit(e);
    };
    return ListsComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", Array)
], ListsComponent.prototype, "items", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], ListsComponent.prototype, "onItem", void 0);
ListsComponent = __decorate([
    core_1.Component({
        selector: 'lists',
        templateUrl: './lists.component.html',
        styleUrls: ['./lists.component.scss']
    }),
    __metadata("design:paramtypes", [])
], ListsComponent);
exports.ListsComponent = ListsComponent;
//# sourceMappingURL=lists.component.js.map