import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';

@Component({
  selector: 'lists',
  templateUrl: './lists.component.html',
  styleUrls: ['./lists.component.scss']
})
export class ListsComponent implements OnInit {
  @Input() items: any[] = [];
  @Output() onItem: EventEmitter<any> = new EventEmitter()
  constructor() {
    this.items = [
      {
        title: '小型面包',
        icon: 'http://suyun.guest.daojia.com/img/xiaomian.png',
        start: '35',
        minLen: '5',
        zaizhong: '1吨',
        carsize: '1.7*1.1*1m',
        price: '3'
      },
      {
        title: '金杯',
        icon: 'http://suyun.guest.daojia.com/img/jinbei.png',
        start: '58',
        minLen: '5',
        zaizhong: '1.5吨',
        carsize: '2.7*1.4*1.2m',
        price: '4'
      },
      {
        title: '依维柯',
        icon: 'http://suyun.guest.daojia.com/img/yiweike.png',
        start: '68',
        minLen: '5',
        zaizhong: '2吨',
        carsize: '3*1.7*1.5m',
        price: '4'
      },
      {
        title: '厢货',
        icon: 'http://suyun.guest.daojia.com/img/daxianghuo_noenter.png',
        start: '108',
        minLen: '5',
        zaizhong: '3吨',
        carsize: '4.2*2*1.8m',
        price: '5'
      },
      {
        title: '中巴-可入城',
        icon: 'http://suyun.guest.daojia.com/img/daxianghuo_enter.png',
        start: '108',
        minLen: '5',
        zaizhong: '3吨',
        carsize: '4.2*1.9*2.0m',
        price: '5'
      }
    ]
  }

  ngOnInit() {
  }

  _onClick(e){
    this.onItem.emit(e)
  }

}
