import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { BottomMenuComponent } from './bottom-menu/bottom-menu.component';
import { ListsComponent } from './lists/lists.component';
import { SuyunPageComponent } from './suyun-page/suyun-page.component';

import {SwiperDefaultModule} from 'imeepos-angular-swiper';
import { ShoufeiPageComponent } from './shoufei-page/shoufei-page.component';
import { LoginPageComponent } from './login-page/login-page.component';
import { SuyunPostComponent } from './suyun-post/suyun-post.component';
import { BanjiaFormComponent } from './suyun-post/banjia-form/banjia-form.component';
import { DriverMessageComponent } from './suyun-post/driver-message/driver-message.component';
import { AddrInputComponent } from './suyun-post/addr-input/addr-input.component';
import { VfMobileComponent } from './suyun-post/vf-mobile/vf-mobile.component';

import {RouterModule} from "@angular/router";


@NgModule({
  imports: [
    CommonModule,
    SwiperDefaultModule,
      RouterModule
  ],
  declarations: [BottomMenuComponent, ListsComponent, SuyunPageComponent, ShoufeiPageComponent, LoginPageComponent, SuyunPostComponent, BanjiaFormComponent, DriverMessageComponent, AddrInputComponent, VfMobileComponent],
  exports: [BottomMenuComponent,ListsComponent,SuyunPageComponent,ShoufeiPageComponent,LoginPageComponent,SuyunPostComponent]
})
export class SuyunModule { }
